# -*- coding: utf-8 -*-
from setuptools import setup

package_dir = \
{'': '..'}

packages = \
['txp_cloud',
 'txp_cloud.cloud_functions.paired_devices_cloud_update',
 'txp_cloud.cloud_functions.state_event_pubsub_to_firestore',
 'txp_cloud.cloud_functions.store_telemetry_event_to_data_lake',
 'txp_cloud.cloud_functions.store_telemetry_event_to_data_lake.test',
 'txp_cloud.cloud_functions.update_firestore_configuration',
 'txp_cloud.cloud_functions.update_iot_gateway_config',
 'txp_cloud.common',
 'txp_cloud.composer',
 'txp_cloud.controllers',
 'txp_cloud.pipelines',
 'txp_cloud.pipelines.batch_pipeline',
 'txp_cloud.pipelines.realtime_pipeline',
 'txp_cloud.pipelines.realtime_pipeline.test',
 'txp_cloud.schemas',
 'txp_cloud.scripts.firestore',
 'txp_cloud.scripts.identity_platform']

package_data = \
{'': ['*'],
 'txp_cloud': ['dist/*'],
 'txp_cloud.cloud_functions.state_event_pubsub_to_firestore': ['dist/*'],
 'txp_cloud.cloud_functions.store_telemetry_event_to_data_lake': ['dist/*'],
 'txp_cloud.cloud_functions.store_telemetry_event_to_data_lake.test': ['credentials/*'],
 'txp_cloud.cloud_functions.update_firestore_configuration': ['dist/*'],
 'txp_cloud.cloud_functions.update_iot_gateway_config': ['dist/*'],
 'txp_cloud.common': ['configs/*'],
 'txp_cloud.pipelines': ['credentials/*'],
 'txp_cloud.pipelines.realtime_pipeline': ['pub_sub_to_bigquery.egg-info/*']}

install_requires = \
['dynaconf>=3.1.4,<4.0.0']

setup_kwargs = {
    'name': 'txp-cloud-utils',
    'version': '0.1.108',
    'description': 'Utility functions for cloud entities',
    'long_description': "# `cloud` Package\n\nThis package contains required information and resources to interact with Google Cloud IoT Core.\n\n- `roots.pem`: The Google CA root certificate.\n  \n\n- `service_account.json`: The service account JSON key to authenticate the application to GCP. \n**Note:** This file is expected to be found here at runtime. But it's not distributed with the \n  repository sources. See the [credentials setup script](credentials_setup.sh) for more info.\n  \n\n- `rsa_private.pem`: The private key for the Gateway running at runtime. **Note:** The private key \n  is expected to be found here at runtime. But they are not distributed with the repository sources. \n  See the [credentials setup script](credentials_setup.sh) for more info.",
    'author': 'Tranxpert',
    'author_email': None,
    'maintainer': None,
    'maintainer_email': None,
    'url': 'https://github.com/Traxpert/txp',
    'package_dir': package_dir,
    'packages': packages,
    'package_data': package_data,
    'install_requires': install_requires,
    'python_requires': '>=3.7,<4.0',
}


setup(**setup_kwargs)
